#! /usr/local/bin/tclsh
set fdout stdout
set DP_LOGFILE /home/httpd/logs/dpaccess.log 

if {[info exist env(HTTP_ACCEPT_ENCODING)] && [string first "gzip" $env(HTTP_ACCEPT_ENCODING)]>=0} {
    if {![catch {open {|gzip -c} {WRONLY}} fdout]} {
	puts "Content-Type: text/html\nContent-Encoding: gzip\n"
    } else {
	set fdout stdout
	puts "Content-Type: text/html\n"
    }
} else {
    puts "Content-Type: text/html\n"
}
puts $fdout {<HTML><HEAD><TITLE>Log contents:</TITLE></HEAD><BODY bgcolor=lightyellow><H1>Show search.log from last line to first</H1><FONT SIZE=-1><PRE>}
set fdlog [open $DP_LOGFILE {RDWR}]
puts $fdout [read $fdlog]
puts $fdout "</PRE></FONT></BODY></HTML>"
close $fdout

seek $fdlog 0 end
puts -nonewline $fdlog "[clock format [clock seconds] -format "%d/%m/%Y %T"] "
if {[info exist env(HTTP_USER_AGENT)]} {
    puts -nonewline $fdlog [format "%-50s : " [string range $env(HTTP_USER_AGENT) 0 49]]
}
if {[info exist env(REMOTE_ADDR)]} {
    set ip [split $env(REMOTE_ADDR) "."]
    puts -nonewline $fdlog [format "%03d.%03d.%03d.%03d " [lindex $ip 0] [lindex $ip 1] [lindex $ip 2] [lindex $ip 3]]
}
if {[info exist env(HTTP_ACCEPT_ENCODING)] && [string first "gzip" $env(HTTP_ACCEPT_ENCODING)]>=0} { 
    puts -nonewline $fdlog "GZIP " 
} else { 
    puts -nonewline $fdlog "     " 
}
if {[info exist env(HTTP_COOKIE)]} {
    if {[set temp [string first "DP=" $env(HTTP_COOKIE)]]>=0} {
	puts -nonewline $fdlog "[string range $env(HTTP_COOKIE) [expr $temp+3] [expr $temp+8]] " 
    } else {
	puts -nonewline $fdlog "       "
    }
}
puts $fdlog "READLOG!!" 
close $fdlog

